## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanArrayAutoPtr Class Template Reference

`#include <XalanAutoPtr.hpp>`

Collaboration diagram for XalanArrayAutoPtr:

[legend]
List of all members.

## Public Methods

- XalanArrayAutoPtr (Type *thePointer=0)
- XalanArrayAutoPtr (const XalanArrayAutoPtr< Type > &theSource)
- XalanArrayAutoPtr<Type>& operator= (XalanArrayAutoPtr< Type > &theRHS)
- ~XalanArrayAutoPtr ()
- Type& operator * () const
- Type& operator[] (size_t index) const
- Type* get () const
- Type* release ()
- void reset (Type *thePointer=0)

### template<class Type> class XalanArrayAutoPtr

## Constructor & Destructor Documentation

template<class Type>
XalanArrayAutoPtr<Type>::XalanArrayAutoPtr<Type> ( | Type * thePointer = 0 )

template<class Type>
XalanArrayAutoPtr<Type>::XalanArrayAutoPtr<Type> ( | const XalanArrayAutoPtr< Type > & theSource )

template<class Type>
XalanArrayAutoPtr<Type>::~XalanArrayAutoPtr<Type> ( | )

## Member Function Documentation

template<class Type>
Type * XalanArrayAutoPtr<Type>::get ( | ) const

template<class Type>
Type & XalanArrayAutoPtr<Type>::operator * ( | ) const

template<class Type>
XalanArrayAutoPtr< Type > & XalanArrayAutoPtr<Type>::operator=<Type> ( | XalanArrayAutoPtr< Type > & theRHS )

template<class Type>
Type & XalanArrayAutoPtr<Type>::operator[] ( | size_t index ) const

template<class Type>
Type * XalanArrayAutoPtr<Type>::release ( | )

template<class Type>
void XalanArrayAutoPtr<Type>::reset ( | Type * thePointer = 0 )

The documentation for this class was generated from the following file:

- XalanAutoPtr.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.